{ fetchurl, openldap }:
let
  kerberosSchema = fetchurl {
    url = "https://raw.githubusercontent.com/krb5/krb5/master/src/plugins/kdb/ldap/libkdb_ldap/kerberos.schema";
    sha256 = "17fnkkf6s3lznsl7wp6914pqsc78d038rh38l638big8z608ksww";
  };
  puppetSchema = fetchurl {
    url = "https://raw.githubusercontent.com/puppetlabs/puppet/master/ext/ldap/puppet.schema";
    sha256 = "11bjf5zfvqlim7p9vddcafs0wiq3v8ys77x8h6fbp9c6bdfh0awh";
  };
  schemas = [
    "${openldap}/etc/schema/core.schema"
    "${openldap}/etc/schema/cosine.schema"
    "${openldap}/etc/schema/inetorgperson.schema"
    "${openldap}/etc/schema/nis.schema"
    puppetSchema
    kerberosSchema
    ./immae.schema
  ];
in
  builtins.concatStringsSep "\n" (map (v: "include         ${v}") schemas)
